From 130cb08ee27bbfc0b1cc4a00c129e10c5b6022e6 Mon Sep 17 00:00:00 2001
From: Pietro Incardona <incardon@mpi-cbg.de>
Date: Tue, 8 Sep 2015 17:47:54 +0200
Subject: [PATCH] Adding missing script

---
 script/discover_package_manager |  1 +
 script/help                     | 16 ++++++++++++++++
 src/Makefile.am                 |  5 +++++
 3 files changed, 22 insertions(+)
 create mode 100755 script/help

diff --git a/script/discover_package_manager b/script/discover_package_manager
index 29f52ac56..9671fabf4 100755
--- a/script/discover_package_manager
+++ b/script/discover_package_manager
@@ -7,6 +7,7 @@ function discover_package_manager() {
       discover_package_manager_ret="brew"
       if [ ! -w /usr/local ]; then
         echo -e "\033[93;5mWARNING: \033[0m  /usr/local is not writtable, brew require that /usr/local is writtable and /usr/local/bin is in your PATH, otherwise the solutions with brew will fail"
+        sleep 10
       fi
       return
     fi
diff --git a/script/help b/script/help
new file mode 100755
index 000000000..e3961f3d2
--- /dev/null
+++ b/script/help
@@ -0,0 +1,16 @@
+#| /bin/bash
+
+#Help function
+function HELP {
+  echo -e \\n"\033[1mHelp documentation for install\033[0m"\\n
+  echo -e "Basic usage: install [options]"\\n
+  echo -e " \033[1mOptions:\033[0m"
+  echo -e "    \033[1;34m-i\033[0m directory Set the directory where to install the required dependencies"
+  echo -e "    \033[1;34m-d\033[0m disable installation of requirements"
+  echo -e "    \033[1;34m-s\033[0m skip user input"
+  echo -e "    \033[1;34m-c\033[0m foward this options to configure"
+  echo -e "    \033[1;34m-h\033[0m Displays this help message"\\n
+  echo -e " \033[1mExample:\033[0m ./install -i /dependencies/here -s -c\"some_options someother_option\""\\n
+  exit 1
+}
+
diff --git a/src/Makefile.am b/src/Makefile.am
index 32ebe38bc..bb08ecdcc 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -5,6 +5,11 @@ pdata_SOURCES = main.cpp ../openfpm_devices/src/memory/HeapMemory.cpp ../openfpm
 pdata_CXXFLAGS = $(CUDA_CFLAGS) $(INCLUDES_PATH) $(METIS_INCLUDE) $(BOOST_CPPFLAGS) -Wno-unused-function
 pdata_CFLAGS = $(CUDA_CFLAGS)
 pdata_LDADD = $(LINKLIBS) -lmetis
+nobase_include_HEADERS = Decomposition/CartDecomposition.hpp Decomposition/common.hpp Decomposition/Decomposition.hpp  Decomposition/ie_ghost.hpp \
+         Decomposition/nn_processor.hpp Decomposition/DistModel.hpp Decomposition/ie_loc_ghost.hpp Decomposition/ORB.hpp \
+         Graph/CartesianGraphFactory.hpp \
+         Grid/grid_dist_id.hpp Grid/grid_dist_id_iterator.hpp Grid/grid_dist_key.hpp \
+         Vector/vector_dist.hpp Vector/vector_dist_iterator.hpp Vector/vector_dist_key.hpp
 
 .cu.o :
 	$(NVCC) $(NVCCFLAGS) -o $@ -c $<
-- 
GitLab